List networks for an L2 Segment
You can see what networks are associated with an L2 Segment using a GET request to /v1/l2_segments/{l2_segment_id}/networks. This operation requires a segment ID specified as the path parameter.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
l2_segment_id | stringA unique identifier of an L2 Segment. |
Query Parameters
| Field | Details |
|---|---|
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/l2_segments/oQeZJepZ/networks"[ { "id": "y5eVnoeE", "title": "Alias", "status": "new", "cidr": "127.1.28.0/24", "family": "ipv4", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T06:58:42Z", "created_at": "2026-05-28T06:58:42Z" }, { "id": "lNbWooby", "title": "Alias", "status": "new", "cidr": "127.1.29.0/24", "family": "ipv4", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T06:58:42Z", "created_at": "2026-05-28T06:58:42Z" }, { "id": "QBeXpVey", "title": "Alias", "status": "new", "cidr": "127.1.30.0/24", "family": "ipv4", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T06:58:42Z", "created_at": "2026-05-28T06:58:42Z" }]